Groovy 1.7.10

## org.codehaus.groovy.transform
[Java] Interface ASTTransformation

    public interface ASTTransformation

This class is instantiated and invoked when an AST transformation is activated. For Global AST Transformations, this interface is called once per SourceUnit, which is usually a Groovy source file. For Local AST Transformations, this interface is invoked once every time the Local annotation marker is encountered.
You must annotate this class with GroovyASTTransformation so that Groovy knows which CompilePhase to run in.

Authors:
  Danno Ferrin (shemnon)

See Also:
  GroovyASTTransformation

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)` The method is invoked when an AST Transformation is active.

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

  The method is invoked when an AST Transformation is active. For local transformations, it is invoked once each time the local annotation is encountered. For global transformations, it is invoked once for every source unit, which is typically a source file.
  Parameters:
    `nodes` - The ASTnodes when the call was triggered. Element 0 is the AnnotationNode that triggered this annotation to be activated. Element 1 is the AnnotatedNode decorated, such as a MethodNode or ClassNode. For global transformations it is usually safe to ignore this parameter.
    `source` - The source unit being compiled. The source unit may contain several classes. For global transformations, information about the AST can be retrieved from this object.

Copyright © 2003-2010 The Codehaus. All rights reserved.